<?php 
//--------------------------------------------------------
// traitement CVT du formulaire diplome
//  version:    0.1 
//  date:       2013.09.03
//  auteur:     erational
//
// doc.
// http://programmer.spip.net/-Formulaires-35 
// http://www.spip.net/fr_article3796.html
// http://marcimat.magraine.net/Les-formulaires-CVT-de-SPIP 
//--------------------------------------------------------



//
// Fonctions diverses
// 
	      
function diplome_get_compte_champs() { 
    return 	array('nom','prenom');
} 


//
// Charger
//
function formulaires_diplome_charger_dist(){
	$champs = diplome_get_compte_champs();
	$valeurs = array();
	foreach($champs as $champ)
	       $valeurs[$champ]='';
	return $valeurs;
}

//
// Verifier
//
function formulaires_diplome_verifier_dist(){
	$erreurs = array();
	$champs = diplome_get_compte_champs();
	// verifier que les champs obligatoires 
	foreach($champs as $obligatoire)
		if (!_request($obligatoire)) $erreurs[$obligatoire] =  _T('diplome:erreur_obligatoire'); 
  
	if (count($erreurs))
		$erreurs['message_erreur'] = _T('diplome:erreur_saisie'); 
	return $erreurs;
}

//
// Traiter
//
function formulaires_diplome_traiter_dist(){
  
  //  recuperer les variables  et les nettoyer
  $champs = diplome_get_compte_champs();
  foreach($champs as $champ)  {
            $$champ = _request($champ);
            $$champ = substr(trim(strip_tags($$champ)),0,30);
  }
  
  // nom  aleatoire
  $nom_pdf = "diplome-".md5($nom.time()).".pdf";
            
  // echappe les robots
  if (strlen(_request('url'))>0)
                return array("editable" => false,'message_ok'=> _T('diplome:erreur_spam'));
 

 // creation du pdf 
 // documentations complementaires:
 // http://contrib.spip.net/FPDF 
 // http://www.fpdf.org/
 // http://www.setasign.de/support/manuals/fpdi/
 define('FPDF_FONTPATH','font/'); 
 include_spip('fpdf'); 
 include_spip('fpdi');
 
 // On crée le pdf 
 $pdf = new FPDI('L','mm','A4');   
 $pdf->AddPage();    
 $pdf->SetMargins(0,0);
 
 // On importe le diplome vierge
 $pdf->setSourceFile(find_in_path("pdf/diplome.pdf")); 
 $tplIdx = $pdf->importPage(1); 
 $pdf->useTemplate($tplIdx, 0, 0, 0, 0, true); 
	 
 // on ajouter le texte complémentaire
 $pdf->SetFont('Arial','B',16); 
 $pdf->SetTextColor(70,70,70); 
 $pdf->SetXY(70, 118); 
 $pdf->Cell(0,0, iconv('UTF-8', 'windows-1252', $prenom." ".$nom));
                   
 $pdf->SetFont('Arial','',14); 
 $pdf->SetXY(170, 158); 
 $pdf->Cell(0,0, date("d / m / Y")); 

 // on sauve dans le repertoire dedie (crée lors de l'installation)
 $nom_final = _DIR_IMG."/diplome/".$nom_pdf;  
 $pdf->Output($nom_final, 'F'); 
 
                    
 return array("editable" => false,
              "message_ok"=>_T('diplome:inscription_ok',array('url_pdf'=>$nom_final)));
           


}

?>